%define pcre_version 4.5

Name: nginx
Version: 0.1.45
Release: alt1

Summary: Fast HTTP server
License: BSD
Group: System/Servers

Url: http://sysoev.ru/nginx
Source: %url/%name-%version.tar.gz
Source1: %name.conf
Source2: %name.init
Patch: nginx-0.1.41-not-exists.patch
Patch1: nginx-0.1.35-gzip_vary.patch

Packager: Denis Smirnov <mithraen@altlinux.ru>

# Automatically added by buildreq on Sun Jul 24 2005
BuildRequires: libpcre-devel libssl-devel zlib-devel

Requires(pre): shadow-utils

%define nginx_user _nginx
%define nginx_group _nginx
%define nginx_etc %_sysconfdir/%name
%define nginx_spool %_spooldir/%name

%description
Fast HTTP server, extremely useful as an Apache frontend

%prep
%setup -q
%patch -p1

# I can build it for Sisyphus, but not branch-3.0
%patch1 -p1

%build
%ifarch i686
	CPU="-mtune=pentiumpro" \
%else
	CPU="-mtune=%_arch" \
%endif
%ifarch i586
	CPU="" \
%endif
CFLAGS="%optflags $CPU" ./configure \
	--prefix=%buildroot \
	--with-poll_module \
	--conf-path=%buildroot%nginx_etc/nginx.conf \
	--sbin-path=%buildroot%_sbindir \
	--error-log-path=%buildroot%_logdir/nginx.error.log \
	--http-log-path=%buildroot%_logdir/nginx.log \
	--pid-path=%buildroot%_var/run/nginx.pid \
	--user=%nginx_user \
	--group=%nginx_group \
	--with-http_ssl_module \
	--with-cc-opt="-I %_includedir/pcre/" \
	--with-rtsig_module	\
	--with-select_module    \
	--with-poll_module      \
	--with-http_ssl_module  \
	--with-imap

%__subst s!%buildroot!!g objs/*.h
%make_build

%install
%__mkdir_p %buildroot{%nginx_etc,%_sbindir,%_spooldir/nginx/tmp}
%makeinstall

%__rm -f %buildroot%nginx_etc/%name.conf
%__install -pD -m644 %SOURCE1 %buildroot/etc/%name/%name.conf
%__install -pD -m755 %SOURCE2 %buildroot%_initdir/%name

%files
%_initdir/*
%_sbindir/*
%dir %nginx_etc
%dir %_spooldir/nginx/tmp
%attr(0700,%nginx_user,%nginx_group) %dir %nginx_spool
%config(noreplace) %nginx_etc/mime.types
%config(noreplace) %nginx_etc/nginx.conf
%nginx_etc/*.default
%nginx_etc/koi-win

%doc CHANGES CHANGES.ru

%pre
%_sbindir/groupadd -r -f %nginx_group ||:
%_sbindir/useradd -r -g %nginx_group -d /dev/null -s /dev/null -n %nginx_user \
	2> /dev/null > /dev/null ||:

%post
%post_service %name

%preun
%preun_service %name
%changelog
* Sat Sep 17 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.45-alt1
- version update

* Fri Aug 19 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.41-alt2
- added two patches (from lakostis@)
- build with optimization flags (from lakostis@)

* Wed Aug 03 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.41-alt1
- version update

* Sun Jul 24 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.40-alt1
- default_charset removed
- charset set reply codepage, source_charset -- source charset :)
- limit_rate supported with proxy and fastcgi
- X-Accel-Limit-Rate header from backend supported
- added: ssi_types
- added: autoindex_exact_size
- added: log_not_found
- added: break
- removed: post_accept_timeout
- build with imap
- many other fixes

* Thu Jun 09 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.35-alt1
- version update

* Sat May 28 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.34-alt1
- 0.1.34
- spec cleanup / macrification (mike@)
- changed "nginx" user/group to "_nginx" (mike@)

* Wed May 18 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.31-alt1
- version update
- some cleanups

* Sun Apr 17 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.28-alt1
- version update

* Sun Mar 27 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.26-alt2
- cleanup

* Sat Mar 26 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.26-alt1
- version update
- add ulimit -n 16384 to initscript

* Mon Mar 21 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.25-alt1
- version update
- cleanup
- tmp moved to /var/spool/nagios/tmp

* Thu Mar 17 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.24-alt1
- version update

* Sun Feb 06 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.17-alt1
- version update

* Sat Jan 29 2005 Denis Smirnov <mithraen@altlinux.ru> 0.1.16-alt1
- version update
- fastcgi support (upstream)

* Fri Dec 24 2004 Denis Smirnov <mithraen@altlinux.ru> 0.1.13-alt1
- version update
- OpenSSL-support builded
- rewrite and pcre support builded
- startup script
- useful default config-file

* Sat Nov 27 2004 Denis Smirnov <mithraen@altlinux.ru> 0.1.10-alt1
- version update

* Tue Oct 12 2004 Denis Smirnov <mithraen@altlinux.ru> 0.1.1-alt1
- first build

